Subject: Re: [PATCH 4/4] atl1: Ancillary C files for Attansic L1 driver

From: Jeff Garzik <[email-masked]>
Date: Tue, 23 Jan 2007 17:06:35 -0500

Randy Dunlap wrote:
> Stephen Hemminger wrote:
>> On Tue, 23 Jan 2007 16:33:29 -0500
>> Jeff Garzik <[email-masked]> wrote:
>>
>>> Stephen Hemminger wrote:
>>>> IMHO the MSI disabling should be removed from drivers and be done
>>>> in the PCI core.
>>> That is the consensus opinion.
>>>
>>> Currently drivers implement the MSI tests because the core PCI code 
>>> hasn't been up to snuff.  I (and others) have been discouraging that, 
>>> but when a user faces a choice between working and non-working 
>>> network, the pragmatic solution wins.
> 
> Linus's remark (IIRC) was to not enable CONFIG_PCI_MSI then.

Most distros, especially cutting edge ones like Fedora, will enable 
CONFIG_PCI_MSI.

>>> All efforts to get us to the point where we can remove the MSI tests 
>>> from drivers are strongly supported...
>>>
>>>     Jeff
>>
>> So far, either MSI works for all devices or is broken, so it makes
>> sense to have a "msi=off" boot option (if there isn't already)
>>
> There is one, but it's spelled "pci=nomsi".

Yep.  Thanks for repeating this, and refreshing the collective memory.

	Jeff